{% extends "base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}
{% load diesos_extras %}
{% block title %}{% translate "stabilization measures"|capfirst %}{% endblock %}

{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate "add stabilization measures"|capfirst %}</h1>
      <form method="post">
        {% csrf_token %}
          <div class="form-group row align-items-center">
            <div class="col">
              {{ form.treatment_type|as_crispy_field }}
            </div>
            <div class="col-3 mt-3 mr-2">
              <button type="submit" class="btn btn-primary">{% translate "add"|capfirst %}</button>
            </div>
          </div>
        <hr/>
      </form>
      {% include 'artefacts/snippets/stabilizationmeasure_table.html' with stabilization_measures=artefact.stabilization_measures.all %}

      <div class="d-flex justify-content-start"><a href="{% url 'artefacts:view' pk=artefact.pk %}" class="btn btn-outline-secondary me-2"><i
            class="bi-x-lg"></i> {% translate "close"|capfirst %}</a></div>
    </div>
  </div>
{% endblock %}
